kio Library: KDirSelectDialog Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDirSelectDialog Class Reference

A pretty dialog for a KDirSelect control for selecting directories. More...

`#include <kdirselectdialog.h>`

Inheritance diagram for KDirSelectDialog:

[legend]
Collaboration diagram for KDirSelectDialog:

[legend]
List of all members.

## Public Slots
void | setCurrentURL (const KURL &url)
## Public Member Functions
| KDirSelectDialog (const QString &startDir=QString::null, bool localOnly=false, QWidget *parent=0L, const char *name=0, bool modal=false)
KURL | url () const
KFileTreeView * | view () const
bool | localOnly () const
QString | startDir () const
## Static Public Member Functions
static KURL | selectDirectory (const QString &startDir=QString::null, bool localOnly=false, QWidget *parent=0L, const QString &caption=QString::null)
## Protected Member Functions
virtual void | accept ()
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
QVBoxLayout * | m_mainLayout
QString | m_startDir

## Detailed Description

A pretty dialog for a KDirSelect control for selecting directories.

Author:
  Michael Jarrett <michaelj@corel.com>

See also:
  KFileDialog

Definition at line 39 of file kdirselectdialog.h.

## Constructor & Destructor Documentation

KDirSelectDialog::KDirSelectDialog | ( | const QString & | startDir = `QString::null`,
|  | bool | localOnly = `false`,
|  | QWidget * | parent = `0L`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) |

| The constructor. Creates a dialog to select a directory (url). Definition at line 86 of file kdirselectdialog.cpp. References KListView::addColumn(), KGlobalSettings::documentPath(), KFileDialog::getStartURL(), QPopupMenu::insertSeparator(), KDialogBase::makeMainWidget(), KToggleAction::plug(), KAction::plug(), QListView::setColumnWidthMode(), KURLCompletion::setMode(), QListView::setResizeMode(), KDialog::spacingHint(), and startDir().

## Member Function Documentation

KURL KDirSelectDialog::url | ( |  | ) | const

| Returns the currently-selected URL, or a blank URL if none is selected. Returns: The currently-selected URL, if one was selected. Definition at line 313 of file kdirselectdialog.cpp. References KFileTreeView::currentURL(). Referenced by selectDirectory().

KURL KDirSelectDialog::selectDirectory | ( | const QString & | startDir = `QString::null`,
|  | bool | localOnly = `false`,
|  | QWidget * | parent = `0L`,
|  | const QString & | caption = `QString::null`
| ) | `[static]`

  | Creates a KDirSelectDialog, and returns the result. Parameters:
  | startDir | the directory, initially shown The tree will display this directory and subdirectories of it.
  | localOnly | unused. You can only select paths below the startDir
  | parent | the parent widget to use for the dialog, or NULL to create a parent-less dialog
  | caption | the caption to use for the dialog, or QString::null for the default caption
Returns: The URL selected, or an empty URL if the user canceled or no URL was selected. Definition at line 453 of file kdirselectdialog.cpp. References QDialog::exec(), KDialog::setCaption(), startDir(), and url(). Referenced by KFileDialog::getExistingDirectory(), KFileDialog::getExistingURL(), and KURLRequester::slotOpenDialog().

QString KDirSelectDialog::startDir | ( |  | ) | const`[inline]`

| Returns: The path for the root node Definition at line 88 of file kdirselectdialog.h. Referenced by KDirSelectDialog(), and selectDirectory().

The documentation for this class was generated from the following files:

- kdirselectdialog.h
- kdirselectdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:30 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003